#include <SFML/Graphics.hpp>
#include <iomanip> 
#include <stdio.h> 

using namespace sf;

int main()
{

	sf::RenderWindow window(sf::VideoMode(600, 600), L"    ");
	RectangleShape rectamble(Vector2f(500000, 500000));
	rectamble.setFillColor(Color(255, 165, 0));

	Texture herotexture2;
	Sprite herosprite2;
	herosprite2.setTexture(herotexture2);
	herosprite2.setTextureRect(IntRect(0, 0, 400, 400));
	herosprite2.setPosition(0, 0);
	herosprite2.setRotation(0);

	int Part = 0;

	while (window.isOpen())
	{
		sf::Event event;
		while (window.pollEvent(event))
		{
			if (event.type == sf::Event::Closed)
				window.close();
		}

		float X[4]{ 200, 200, 0, 0.0 }, Y[4]{ 0.0, 200, 200, 0.0 };
		switch (Part)
		{
		case 0: herosprite2.move(0.1, 0);
			if (herosprite2.getPosition().x >= X[Part] && herosprite2.getPosition().y >= Y[Part]) Part++; break;
		case 1: herosprite2.move(0, 0.1);
			if (herosprite2.getPosition().x >= X[Part] && herosprite2.getPosition().y >= Y[Part]) Part++; break;
		case 2: herosprite2.move(-0.1, 0);
			if (herosprite2.getPosition().x <= X[Part] && herosprite2.getPosition().y >= Y[Part]) Part++; break;
		case 3: herosprite2.move(0, -0.1);
			if (herosprite2.getPosition().x <= X[Part] && herosprite2.getPosition().y <= Y[Part]) {Part = 0; herosprite2.setPosition(0, 0); break;
			}; 
		}

		window.clear();
		window.draw(rectamble);
		window.draw(herosprite2);
		window.display();
	}
	return 0;
}

